(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

open Refinement_types_print;;

let print_option_external_program_command ppf = function
  | s_l -> Lib_print.print_List Lib_print.print_quoted_string ppf s_l
;;

let print_option_dimension ppf = function
  | i -> Lib_print.print_quoted_int ppf i
;;

let print_option_dimension_management ppf = function
  | d -> print_dimension_management ppf d
;;

let rec print_option_cutting_strategy ppf = function
  | Options_types.Option_Best_in_a_family ->
    Format.fprintf ppf "%s" "Option_Best_in_a_family"
  | Options_types.Option_Overall_best ->
    Format.fprintf ppf "%s" "Option_Overall_best"

and print_option_number_of_cuts ppf = function
  | i -> Lib_print.print_quoted_int ppf i

and print_option_basic_cutting_family ppf = function
  | b -> print_basic_cutting_family ppf b

and print_option_basic_cutting_families ppf = function
  | o_l -> Lib_print.print_List print_option_basic_cutting_family ppf o_l
;;

let print_option_candidate_cuttings_selection_criterion_ratio ppf = function
  | f -> Lib_print.print_quoted_float ppf f

and print_option_candidate_cuttings_selection_criterion_maximum_number ppf =
  function
  | i -> Lib_print.print_quoted_int ppf i
;;

let print_option_minimum_gradient ppf = function
  | f -> Lib_print.print_quoted_float ppf f
;;

let print_option_max_iteration ppf = function
  | i -> Lib_print.print_quoted_int ppf i

and print_option_min_best_scalar_indicator ppf = function
  | f -> Lib_print.print_quoted_float ppf f

and print_option_min_scalar_relative_error ppf = function
  | f -> Lib_print.print_quoted_float ppf f
;;

let print_option_out_formatter ppf = function
  | Options_types.Option_Std_out -> Format.fprintf ppf "%s" "Option_Std_out"
  | Options_types.Option_Std_err -> Format.fprintf ppf "%s" "Option_Std_err"
  | Options_types.Option_Out_file u_t ->
    Format.fprintf ppf "@[<1>%s@ " "Option_Out_file";
    Ufilename_print.print_t ppf u_t; Format.fprintf ppf "%,@]"
;;

let print_option_report_allocated_memory ppf = function
  | b -> Lib_print.print_bool ppf b
;;

let print_option_incremental_mode ppf = function
  | b -> Lib_print.print_bool ppf b
;;

let print_option_graphics_mode ppf = function
  | g -> print_graphics_mode ppf g
;;

let print_option_graphics_window_min_width ppf = function
  | i -> Lib_print.print_quoted_int ppf i

and print_option_graphics_window_max_width ppf = function
  | i -> Lib_print.print_quoted_int ppf i

and print_option_graphics_window_min_height ppf = function
  | i -> Lib_print.print_quoted_int ppf i

and print_option_graphics_window_max_height ppf = function
  | i -> Lib_print.print_quoted_int ppf i
;;

let print_option_graphics_color_scale_name ppf = function
  | Options_types.Gray -> Format.fprintf ppf "%s" "Gray"
  | Options_types.Cool -> Format.fprintf ppf "%s" "Cool"
  | Options_types.Hot -> Format.fprintf ppf "%s" "Hot"
  | Options_types.Jet -> Format.fprintf ppf "%s" "Jet"
;;

let print_option_graphics_min_parameter ppf = function
  | f -> Lib_print.print_quoted_float ppf f

and print_option_graphics_max_parameter ppf = function
  | f -> Lib_print.print_quoted_float ppf f
;;

let print_option_graphics_gradient_amplitude ppf = function
  | f -> Lib_print.print_quoted_float ppf f
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
