CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright (c) 2013-2014 INRIA.                                     C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: optim.f,v 1.8 2014/06/10 09:56:37 fclement Exp $

      subroutine optim(ncells, proj, nzones, param, ndS, S, cout,
     +     ier, emsg_length, error_msg)
      
      implicit none
      
      integer OUTPUT_UNIT
      parameter(OUTPUT_UNIT=18)
      
      include 'common.fh'
      include 'optim_common.fh'
      
C     Input arguments.
      integer ncells, nzones, ndS
      integer proj(np_max)
      real*8 S(np_max)
      
C     Input/output argument.
      real*8 param(np_max)
      
C     Output argument.
      character*80 error_msg
      integer ier, emsg_length
      real*8 cout
      
C     Variables locales.
      integer njunk, i, izs(np_max+1), izs_ptr, dzs_ptr, nbd(np_max)
      real rzs(1)
      real*8 gdcout(np_max), dzs(np_max)
      real*8 lbd(np_max), ubd(np_max)
      
      external simul
      
      njunk = ndS
      
      izs(1) = ncells
      izs_ptr = 2
      dzs_ptr = 1
      do i = 1,ncells
         izs(izs_ptr) = proj(i)
         dzs(dzs_ptr) = S(i)
         izs_ptr = izs_ptr + 1
         dzs_ptr = dzs_ptr + 1
      enddo
      
      call simul(4, nzones, param, cout, gdcout, izs, rzs, dzs)
      write(OUTPUT_UNIT,*) 'cost function before optim', cout
      
      do i = 1, nzones
         nbd(i) = nbd_init
         lbd(i) = l_init
         ubd(i) = u_init
      enddo
      
      task = 'START'
      
 10   continue
      
      call setulb(nzones,m,param,lbd,ubd,nbd,cout,gdcout,
     +     factr,pgtol,wa,iwa,task,iprint,io,
     +     csave,lsave,isave,dsave)
      
      if (task(1:2) .eq. 'FG') then
         
         call simul(4, nzones, param, cout, gdcout, izs, rzs, dzs)
         goto 10
         
      else if (task(1:5) .eq. 'NEW_X') then
         
         if (isave(34) .gt. nsim_max) then
            task='STOP: TOTAL NO. of f AND g EVALUATIONS EXCEEDS LIMIT'
         else if (isave(30) .gt. iter_max) then
            task='STOP: TOTAL NO. of ITERATIONS EXCEEDS LIMIT'
         endif
         goto 10
         
      else

         write(OUTPUT_UNIT, *) task
         goto 20
         
      endif
      
 20   continue
      
      call simul(1, nzones, param, cout, gdcout, izs, rzs, dzs)
      write(OUTPUT_UNIT,*) 'cost function after optim', cout
      
      return
      end
